Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class Requirement

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.Requirement

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

Direct Known Subclasses:
  RequirementCollection

    public class Requirement

extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

Constructor Summary
`Requirement()`
`Requirement(URI about)`

Method Summary
`void` | `addAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link affectedBy)`
`void` | `addConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link constrainedBy)`
`void` | `addConstrains(org.eclipse.lyo.oslc4j.core.model.Link constrains)`
`void` | `addContributor(URI contributor)`
`void` | `addCreator(URI creator)`
`void` | `addDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link decomposedBy)`
`void` | `addDecomposes(org.eclipse.lyo.oslc4j.core.model.Link decomposes)`
`void` | `addElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link elaboratedBy)`
`void` | `addElaborates(org.eclipse.lyo.oslc4j.core.model.Link elaborates)`
`void` | `addImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link implementedBy)`
`void` | `addRdfType(URI rdfType)`
`void` | `addSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link satisfiedBy)`
`void` | `addSatisfies(org.eclipse.lyo.oslc4j.core.model.Link satisfies)`
`void` | `addSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link specifiedBy)`
`void` | `addSpecifies(org.eclipse.lyo.oslc4j.core.model.Link specifies)`
`void` | `addSubject(String subject)`
`void` | `addTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link trackedBy)`
`void` | `addValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link validatedBy)`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getConstrainedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getConstrains()`
`URI[]` | `getContributors()`
`Date` | `getCreated()`
`URI[]` | `getCreators()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getDecomposedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getDecomposes()`
`String` | `getDescription()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getElaboratedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getElaborates()`
`String` | `getIdentifier()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getImplementedBy()`
`URI` | `getInstanceShape()`
`Date` | `getModified()`
`URI[]` | `getRdfTypes()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSatisfiedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSatisfies()`
`URI` | `getServiceProvider()`
`String` | `getShortTitle()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSpecifiedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getSpecifies()`
`String[]` | `getSubjects()`
`String` | `getTitle()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTrackedBy()`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getValidatedBy()`
`void` | `setAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link[] affectedBy)`
`void` | `setConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link[] constrainedBy)`
`void` | `setConstrains(org.eclipse.lyo.oslc4j.core.model.Link[] constrains)`
`void` | `setContributors(URI[] contributors)`
`void` | `setCreated(Date created)`
`void` | `setCreators(URI[] creators)`
`void` | `setDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link[] decomposedBy)`
`void` | `setDecomposes(org.eclipse.lyo.oslc4j.core.model.Link[] decomposes)`
`void` | `setDescription(String description)`
`void` | `setElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link[] elaboratedBy)`
`void` | `setElaborates(org.eclipse.lyo.oslc4j.core.model.Link[] elaborates)`
`void` | `setIdentifier(String identifier)`
`void` | `setImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link[] implementedBy)`
`void` | `setInstanceShape(URI instanceShape)`
`void` | `setModified(Date modified)`
`void` | `setRdfTypes(URI[] rdfTypes)`
`void` | `setSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] satisfiedBy)`
`void` | `setSatisfies(org.eclipse.lyo.oslc4j.core.model.Link[] satisfies)`
`void` | `setServiceProvider(URI serviceProvider)`
`void` | `setShortTitle(String shortTitle)`
`void` | `setSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] specifiedBy)`
`void` | `setSpecifies(org.eclipse.lyo.oslc4j.core.model.Link[] specifies)`
`void` | `setSubjects(String[] subjects)`
`void` | `setTitle(String title)`
`void` | `setTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link[] trackedBy)`
`void` | `setValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link[] validatedBy)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Requirement

    public Requirement()
                throws URISyntaxException

Throws:
  `URISyntaxException`

### Requirement

    public Requirement(URI about)
                throws URISyntaxException

Throws:
  `URISyntaxException`

Method Detail

### addSubject

    public void addSubject(String subject)

### addConstrains

    public void addConstrains(org.eclipse.lyo.oslc4j.core.model.Link constrains)

### addConstrainedBy

    public void addConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link constrainedBy)

### addDecomposes

    public void addDecomposes(org.eclipse.lyo.oslc4j.core.model.Link decomposes)

### addDecomposedBy

    public void addDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link decomposedBy)

### addSatisfies

    public void addSatisfies(org.eclipse.lyo.oslc4j.core.model.Link satisfies)

### addSatisfiedBy

    public void addSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link satisfiedBy)

### addValidatedBy

    public void addValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link validatedBy)

### addTrackedBy

    public void addTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link trackedBy)

### addImplementedBy

    public void addImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link implementedBy)

### addAffectedBy

    public void addAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link affectedBy)

### addElaboratedBy

    public void addElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link elaboratedBy)

### addElaborates

    public void addElaborates(org.eclipse.lyo.oslc4j.core.model.Link elaborates)

### addSpecifiedBy

    public void addSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link specifiedBy)

### addSpecifies

    public void addSpecifies(org.eclipse.lyo.oslc4j.core.model.Link specifies)

### addContributor

    public void addContributor(URI contributor)

### addCreator

    public void addCreator(URI creator)

### addRdfType

    public void addRdfType(URI rdfType)

### getSubjects

    public String[] getSubjects()

### getElaboratedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getElaboratedBy()

### getElaborates

    public org.eclipse.lyo.oslc4j.core.model.Link[] getElaborates()

### getSpecifiedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getSpecifiedBy()

### getSpecifies

    public org.eclipse.lyo.oslc4j.core.model.Link[] getSpecifies()

### getImplementedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getImplementedBy()

### getAffectedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectedBy()

### getTrackedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getTrackedBy()

### getValidatedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getValidatedBy()

### getSatisfiedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getSatisfiedBy()

### getSatisfies

    public org.eclipse.lyo.oslc4j.core.model.Link[] getSatisfies()

### getDecomposedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getDecomposedBy()

### getDecomposes

    public org.eclipse.lyo.oslc4j.core.model.Link[] getDecomposes()

### getConstrainedBy

    public org.eclipse.lyo.oslc4j.core.model.Link[] getConstrainedBy()

### getConstrains

    public org.eclipse.lyo.oslc4j.core.model.Link[] getConstrains()

### getContributors

    public URI[] getContributors()

### getCreated

    public Date getCreated()

### getCreators

    public URI[] getCreators()

### getDescription

    public String getDescription()

### getIdentifier

    public String getIdentifier()

### getInstanceShape

    public URI getInstanceShape()

### getModified

    public Date getModified()

### getRdfTypes

    public URI[] getRdfTypes()

### getServiceProvider

    public URI getServiceProvider()

### getShortTitle

    public String getShortTitle()

### getTitle

    public String getTitle()

### setConstrains

    public void setConstrains(org.eclipse.lyo.oslc4j.core.model.Link[] constrains)

### setConstrainedBy

    public void setConstrainedBy(org.eclipse.lyo.oslc4j.core.model.Link[] constrainedBy)

### setDecomposes

    public void setDecomposes(org.eclipse.lyo.oslc4j.core.model.Link[] decomposes)

### setDecomposedBy

    public void setDecomposedBy(org.eclipse.lyo.oslc4j.core.model.Link[] decomposedBy)

### setSatisfies

    public void setSatisfies(org.eclipse.lyo.oslc4j.core.model.Link[] satisfies)

### setSatisfiedBy

    public void setSatisfiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] satisfiedBy)

### setValidatedBy

    public void setValidatedBy(org.eclipse.lyo.oslc4j.core.model.Link[] validatedBy)

### setTrackedBy

    public void setTrackedBy(org.eclipse.lyo.oslc4j.core.model.Link[] trackedBy)

### setAffectedBy

    public void setAffectedBy(org.eclipse.lyo.oslc4j.core.model.Link[] affectedBy)

### setImplementedBy

    public void setImplementedBy(org.eclipse.lyo.oslc4j.core.model.Link[] implementedBy)

### setElaboratedBy

    public void setElaboratedBy(org.eclipse.lyo.oslc4j.core.model.Link[] elaboratedBy)

### setElaborates

    public void setElaborates(org.eclipse.lyo.oslc4j.core.model.Link[] elaborates)

### setSpecifiedBy

    public void setSpecifiedBy(org.eclipse.lyo.oslc4j.core.model.Link[] specifiedBy)

### setSpecifies

    public void setSpecifies(org.eclipse.lyo.oslc4j.core.model.Link[] specifies)

### setContributors

    public void setContributors(URI[] contributors)

### setCreated

    public void setCreated(Date created)

### setCreators

    public void setCreators(URI[] creators)

### setDescription

    public void setDescription(String description)

### setIdentifier

    public void setIdentifier(String identifier)

### setInstanceShape

    public void setInstanceShape(URI instanceShape)

### setModified

    public void setModified(Date modified)

### setRdfTypes

    public void setRdfTypes(URI[] rdfTypes)

### setServiceProvider

    public void setServiceProvider(URI serviceProvider)

### setShortTitle

    public void setShortTitle(String shortTitle)

### setTitle

    public void setTitle(String title)

### setSubjects

    public void setSubjects(String[] subjects)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.